package com.ether.annotation;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface ControllerMethod
{
    @NotNull String view() default "";

    boolean jsonResult() default false;

    boolean loginMandatory() default false;

    boolean requestMandatory() default false;

    boolean backofficeMethod() default false;

    @Nullable String defaultView() default "";

    @Nullable String downloadFile() default "";
}
